// cwfrmdlg.h : frame dialog windows
//

/////////////////////////////////////////////////////////////////////////////
// CSelectOpponentsDlg dialog

class CSelectOpponentsDlg : public CDialog
{
// Construction
public:
	CSelectOpponentsDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CSelectOpponentsDlg)
	enum { IDD = IDD_SELECTOPPONENTSDLG };
	CString	m_1stPath;
	CString	m_2ndPath;
	//}}AFX_DATA

// Implementation
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	// Generated message map functions
	//{{AFX_MSG(CSelectOpponentsDlg)
	afx_msg void OnFirstBrowse();
	afx_msg void OnSecondBrowse();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};





/////////////////////////////////////////////////////////////////////////////
// CStatisticsDlg dialog

class CStatisticsDlg : public CDialog
{
// Construction
public:
	CStatisticsDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CStatisticsDlg)
	enum { IDD = IDD_STATISTICSDLG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// Public Interface
	CString	m_nameP1;
	CString m_nameP2;
	
	int m_winsP1;
	int m_winsP2;
	int m_drawsP1;
	int m_drawsP2;
	int m_lossesP1;
	int m_lossesP2;
	int m_scoreP1;
	int m_scoreP2;
	
// Implementation
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	// Generated message map functions
	//{{AFX_MSG(CStatisticsDlg)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};





/////////////////////////////////////////////////////////////////////////////
// CBattleDlg dialog

class CBattleDlg : public CDialog
{
// Construction
public:
	CBattleDlg(CWnd* pParent = NULL);	// standard constructor
	BOOL Create(CWnd* pParent = NULL);

// Dialog Data
	//{{AFX_DATA(CBattleDlg)
	enum { IDD = IDD_BATTLEDLG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// Public Interface
	void SetStepsDone(UINT nSteps);
	void SetBattleSteps(UINT nBattle);
	BOOL WasAbortButtonPressed();
	
// Implementation
protected:
	BOOL	m_abort;

	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	// Generated message map functions
	//{{AFX_MSG(CBattleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnClickedAbort();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};





/////////////////////////////////////////////////////////////////////////////
// CCoreWarDlg dialog

class CCoreWarDlg : public CDialog
{
// Construction
public:
	CCoreWarDlg(CWnd* pParent = NULL);	// standard constructor
	BOOL Create(CWnd* pParent = NULL);

// Dialog Data
	//{{AFX_DATA(CCoreWarDlg)
	enum { IDD = IDD_COREWARDLG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	void SetStepsDone(UINT nSteps);
	void SetBattlesDone(UINT nBattles);
	void SetTotalBattles(UINT nTotBattles);
	BOOL WasAbortButtonPressed();

// Implementation
protected:
	BOOL	m_abort;
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	// Generated message map functions
	//{{AFX_MSG(CCoreWarDlg)
	afx_msg void OnClickedAbort();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};





/////////////////////////////////////////////////////////////////////////////
// CSettingsDlg dialog

class CSettingsDlg : public CDialog
{
// Construction
public:
	CSettingsDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CSettingsDlg)
	enum { IDD = IDD_CHANGEPARAMSDLG };
	UINT	m_programsGap;
	UINT	m_warBattles;
	UINT	m_progMaxTasks;
	UINT	m_coreSize;
	UINT	m_battleSteps;
	UINT	m_y;
	//}}AFX_DATA

// Implementation
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	void AFXAPI DDX_Gap(CDataExchange* pDX, int nIDC, int m_programsGap);

	// Generated message map functions
	//{{AFX_MSG(CSettingsDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnClickedDefault();
	afx_msg void OnClickedSave();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
