// cwview.h : interface of the CCwView class
//
/////////////////////////////////////////////////////////////////////////////

class CCwView : public CEditView
{
protected: // create from serialization only
	CCwView();
	DECLARE_DYNCREATE(CCwView)

// Attributes
public:
	CCwDoc* GetDocument();

// Operations
public:

// Implementation
public:
	virtual ~CCwView();
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	UINT	m_tabStops;		// Chars

// Generated message map functions
protected:
	//{{AFX_MSG(CCwView)
	afx_msg void OnEditClearAll();
	afx_msg void OnSetTabStops();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnEditAssemble();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG	// debug version in cwview.cpp
inline CCwDoc* CCwView::GetDocument()
   { return (CCwDoc*) m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
