// cwdlg.cpp : implementation file
//

#include "stdafx.h"
#include "cw.h"
#include "cwdlg.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSetTabStopsDlg dialog

CSetTabStopsDlg::CSetTabStopsDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSetTabStopsDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSetTabStopsDlg)
	m_tabStops = 0;
	//}}AFX_DATA_INIT
}

void CSetTabStopsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSetTabStopsDlg)
	DDX_Text(pDX, IDC_EDIT, m_tabStops);
	DDV_MinMaxInt(pDX, m_tabStops, 0, 99);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSetTabStopsDlg, CDialog)
	//{{AFX_MSG_MAP(CSetTabStopsDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSetTabStopsDlg message handlers


BOOL CSetTabStopsDlg::OnInitDialog()
{
	CDialog::OnInitDialog();
	
	CenterWindow();
	return TRUE;
}





/////////////////////////////////////////////////////////////////////////////
// CCodeFileDialog dialog
                             
// Static Members Initialization
CString CCodeFileDialog::defExt = ".cod";
CString CCodeFileDialog::defFilters = "Coded Files (*.cod)|*.cod|All Files (*.*)|*.*||";

// Constructor
CCodeFileDialog::CCodeFileDialog(LPCSTR winTitle,BOOL bOpenFileDialog,
								 LPCSTR lpszDefExt,LPCSTR lpszFileName,
								 DWORD dwFlags,LPCSTR lpszFilter,
								 CWnd* pParent) 
		: CFileDialog(bOpenFileDialog,lpszDefExt,lpszFileName,dwFlags,
			 	((lpszFilter==NULL) ? defFilters : lpszFilter),pParent)
{
	m_winTitle = winTitle;
}                             
                             
// Message Handlers
BOOL CCodeFileDialog::OnInitDialog()
{                                    
	CDialog::OnInitDialog();
	SetWindowText(m_winTitle);

	CenterWindow();
	return TRUE;
}





/////////////////////////////////////////////////////////////////////////////
// CAssOkDlg dialog

CAssOkDlg::CAssOkDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CAssOkDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CAssOkDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

void CAssOkDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAssOkDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAssOkDlg, CDialog)
	//{{AFX_MSG_MAP(CAssOkDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAssOkDlg message handlers

BOOL CAssOkDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	if (m_lines>0)
		SetDlgItemInt(IDC_LINES,m_lines);	
		
	if (m_start>=0)
		SetDlgItemInt(IDC_START,m_start);	
		
	CenterWindow();
	return TRUE;
}





/////////////////////////////////////////////////////////////////////////////
// CAssErrorDlg dialog

CAssErrorDlg::CAssErrorDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CAssErrorDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CAssErrorDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

void CAssErrorDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAssErrorDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAssErrorDlg, CDialog)
	//{{AFX_MSG_MAP(CAssErrorDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAssErrorDlg message handlers

BOOL CAssErrorDlg::OnInitDialog()
{
	CDialog::OnInitDialog();
	
	// Valid Line No.?
	if (m_line>0)
		SetDlgItemInt(IDC_LINENO,m_line);	

	GetDlgItem(IDC_ERRORMSG)->SetWindowText(m_error);	
	
	CenterWindow();
	return TRUE;
}
