// cwdlg.h : header file
//
                   

#include "afxwin.h"		// CDialog
#include "afxdlgs.h"	// CFileDialog
#include "resource.h"	// Main Symbols


/////////////////////////////////////////////////////////////////////////////
// CSetTabStopsDlg dialog

class CSetTabStopsDlg : public CDialog
{
// Construction
public:
	CSetTabStopsDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CSetTabStopsDlg)
	enum { IDD = IDD_TABSTOPSDLG };
	int		m_tabStops;
	//}}AFX_DATA

// Implementation
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	// Generated message map functions
	//{{AFX_MSG(CSetTabStopsDlg)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};





/////////////////////////////////////////////////////////////////////////////
// CCodeFileDialog dialog

class CCodeFileDialog : public CFileDialog
{
// Construction
public:                                
	static CString defExt;
	static CString defFilters;

	// standard constructor
	CCodeFileDialog(LPCSTR winTitle,
					BOOL bOpenFileDialog,
					LPCSTR lpszDefExt = NULL,
					LPCSTR lpszFileName = NULL,
					DWORD dwFlags = OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT,
					LPCSTR lpszFilter = NULL,
				 	CWnd* pParent = NULL);

// Dialog Data                        
	CString m_winTitle;

// Implementation
protected:
	virtual BOOL OnInitDialog();
};





/////////////////////////////////////////////////////////////////////////////
// CAssOkDlg dialog

class CAssOkDlg : public CDialog
{
// Construction
public:
	CAssOkDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CAssOkDlg)
	enum { IDD = IDD_DONEDLG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// Public Interface
	int	m_lines;
	int	m_start;

// Implementation
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	// Generated message map functions
	//{{AFX_MSG(CAssOkDlg)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};





/////////////////////////////////////////////////////////////////////////////
// CAssErrorDlg dialog

class CAssErrorDlg : public CDialog
{
// Construction
public:
	CAssErrorDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CAssErrorDlg)
	enum { IDD = IDD_ERRORDLG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// Public Interface
	int	m_line;
	CString m_error;

// Implementation
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	// Generated message map functions
	//{{AFX_MSG(CAssErrorDlg)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
